## API Report File for "@fluentui/react-dialog"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

/// <reference types="react" />

import { ARIAButtonSlotProps } from '@fluentui/react-aria';
import type { ComponentProps } from '@fluentui/react-utilities';
import type { ComponentState } from '@fluentui/react-utilities';
import type { FluentTriggerComponent } from '@fluentui/react-utilities';
import type { ForwardRefComponent } from '@fluentui/react-utilities';
import { JSXElementConstructor } from 'react';
import * as React_2 from 'react';
import { ReactElement } from 'react';
import type { Slot } from '@fluentui/react-utilities';
import type { SlotClassNames } from '@fluentui/react-utilities';

// @public
export const Dialog: React_2.FC<DialogProps>;

// @public
export const DialogActions: ForwardRefComponent<DialogActionsProps>;

// @public (undocumented)
export const dialogActionsClassNames: SlotClassNames<DialogActionsSlots>;

// @public (undocumented)
export type DialogActionsPosition = 'start' | 'end';

// @public
export type DialogActionsProps = ComponentProps<DialogActionsSlots> & {
    position?: DialogActionsPosition;
};

// @public (undocumented)
export type DialogActionsSlots = {
    root: Slot<'div'>;
};

// @public
export type DialogActionsState = ComponentState<DialogActionsSlots> & {
    position: DialogActionsPosition;
};

// @public
export const DialogBody: ForwardRefComponent<DialogBodyProps>;

// @public (undocumented)
export const dialogBodyClassNames: SlotClassNames<DialogBodySlots>;

// @public
export type DialogBodyProps = ComponentProps<DialogBodySlots> & {};

// @public (undocumented)
export type DialogBodySlots = {
    root: Slot<'div'>;
};

// @public
export type DialogBodyState = ComponentState<DialogBodySlots>;

// @public (undocumented)
export const dialogClassNames: SlotClassNames<DialogSlots>;

// @public (undocumented)
export type DialogOpenChangeData = {
    type: 'escapeKeyDown';
    open: boolean;
    event: React_2.KeyboardEvent;
}
/**
* document escape keydown defers from internal escape keydown events because of the synthetic event API
*/
| {
    type: 'documentEscapeKeyDown';
    open: boolean;
    event: KeyboardEvent;
} | {
    type: 'backdropClick';
    open: boolean;
    event: React_2.MouseEvent;
} | {
    type: 'triggerClick';
    open: boolean;
    event: React_2.MouseEvent;
};

// @public (undocumented)
export type DialogOpenChangeEvent = React_2.KeyboardEvent | React_2.MouseEvent | KeyboardEvent;

// @public (undocumented)
export type DialogProps = ComponentProps<Partial<DialogSlots>> & {
    modalType?: DialogModalType;
    open?: boolean;
    defaultOpen?: boolean;
    onOpenChange?: (event: DialogOpenChangeEvent, data: DialogOpenChangeData) => void;
    children: [JSX.Element, JSX.Element] | JSX.Element;
};

// @public (undocumented)
export type DialogSlots = {
    backdrop?: Slot<'div'>;
};

// @public (undocumented)
export type DialogState = ComponentState<DialogSlots> & DialogContextValue & {
    content: React_2.ReactNode;
    trigger: React_2.ReactNode;
};

// @public
export const DialogSurface: ForwardRefComponent<DialogSurfaceProps>;

// @public (undocumented)
export const dialogSurfaceClassNames: SlotClassNames<DialogSurfaceSlots>;

// @public
export type DialogSurfaceProps = ComponentProps<DialogSurfaceSlots> & {};

// @public (undocumented)
export type DialogSurfaceSlots = {
    root: Slot<'div', 'main'>;
};

// @public
export type DialogSurfaceState = ComponentState<DialogSurfaceSlots>;

// @public
export const DialogTitle: ForwardRefComponent<DialogTitleProps>;

// @public (undocumented)
export const dialogTitleClassNames: SlotClassNames<DialogTitleSlots>;

// @public
export type DialogTitleProps = ComponentProps<DialogTitleSlots> & {};

// @public (undocumented)
export type DialogTitleSlots = {
    root: Slot<'div', 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6'>;
    closeButton?: Slot<ARIAButtonSlotProps>;
};

// @public
export type DialogTitleState = ComponentState<DialogTitleSlots>;

// @public
export const DialogTrigger: React_2.FC<DialogTriggerProps> & FluentTriggerComponent;

// @public (undocumented)
export type DialogTriggerAction = 'open' | 'close';

// @public
export type DialogTriggerChildProps = Pick<React_2.HTMLAttributes<HTMLElement>, 'onClick' | 'onKeyDown' | 'aria-haspopup'> & {
    ref?: React_2.Ref<never>;
};

// @public (undocumented)
export type DialogTriggerProps = {
    action?: DialogTriggerAction;
    children: (React_2.ReactElement & {
        ref?: React_2.Ref<unknown>;
    }) | ((props: DialogTriggerChildProps) => React_2.ReactElement | null);
};

// @public (undocumented)
export type DialogTriggerState = {
    children: React_2.ReactElement | null;
};

// @public
export const renderDialog_unstable: (state: DialogState, contextValues: DialogContextValues) => JSX.Element;

// @public
export const renderDialogActions_unstable: (state: DialogActionsState) => JSX.Element;

// @public
export const renderDialogBody_unstable: (state: DialogBodyState) => JSX.Element;

// @public
export const renderDialogSurface_unstable: (state: DialogSurfaceState, contextValues: DialogSurfaceContextValues) => JSX.Element;

// @public
export const renderDialogTitle_unstable: (state: DialogTitleState) => JSX.Element;

// @public
export const renderDialogTrigger_unstable: (state: DialogTriggerState) => ReactElement<any, string | JSXElementConstructor<any>> | null;

// @public
export const useDialog_unstable: (props: DialogProps) => DialogState;

// @public
export const useDialogActions_unstable: (props: DialogActionsProps, ref: React_2.Ref<HTMLElement>) => DialogActionsState;

// @public
export const useDialogActionsStyles_unstable: (state: DialogActionsState) => DialogActionsState;

// @public
export const useDialogBody_unstable: (props: DialogBodyProps, ref: React_2.Ref<HTMLElement>) => DialogBodyState;

// @public
export const useDialogBodyStyles_unstable: (state: DialogBodyState) => DialogBodyState;

// @public
export const useDialogStyles_unstable: (state: DialogState) => DialogState;

// @public
export const useDialogSurface_unstable: (props: DialogSurfaceProps, ref: React_2.Ref<HTMLElement>) => DialogSurfaceState;

// @public
export const useDialogSurfaceStyles_unstable: (state: DialogSurfaceState) => DialogSurfaceState;

// @public
export const useDialogTitle_unstable: (props: DialogTitleProps, ref: React_2.Ref<HTMLElement>) => DialogTitleState;

// @public
export const useDialogTitleStyles_unstable: (state: DialogTitleState) => DialogTitleState;

// @public
export const useDialogTrigger_unstable: (props: DialogTriggerProps) => DialogTriggerState;

// (No @packageDocumentation comment for this package)

```
